import Bluebird from 'bluebird';
import { ContextType } from '../../shared/models/activitypub/context';
import { ResultList } from '../../shared/models';
import { MActor, MVideoWithHost } from '../types/models';
declare function activityPubContextify<T>(data: T, type?: ContextType): T & {
    '@context': any[];
};
declare type ActivityPubCollectionPaginationHandler = (start: number, count: number) => Bluebird<ResultList<any>> | Promise<ResultList<any>>;
declare function activityPubCollectionPagination(baseUrl: string, handler: ActivityPubCollectionPaginationHandler, page?: any, size?: number): Promise<{
    id: string;
    type: string;
    totalItems: number;
    first: string;
    prev?: undefined;
    next?: undefined;
    partOf?: undefined;
    orderedItems?: undefined;
} | {
    id: string;
    type: string;
    prev: string;
    next: string;
    partOf: string;
    orderedItems: any[];
    totalItems: number;
    first?: undefined;
}>;
declare function buildSignedActivity<T>(byActor: MActor, data: T, contextType?: ContextType): Promise<T & {
    '@context': any[];
} & {
    signature: {
        type: string;
        creator: string;
        created: string;
    };
}>;
declare function getAPId(object: string | {
    id: string;
}): string;
declare function checkUrlsSameHost(url1: string, url2: string): boolean;
declare function buildRemoteVideoBaseUrl(video: MVideoWithHost, path: string, scheme?: string): string;
export { checkUrlsSameHost, getAPId, activityPubContextify, activityPubCollectionPagination, buildSignedActivity, buildRemoteVideoBaseUrl };
//# sourceMappingURL=activitypub.d.ts.map