import { FfprobeData } from 'fluent-ffmpeg';
import { VideoResolution, VideoTranscodingFPS } from '../../shared/models/videos';
import { canDoQuickAudioTranscode, ffprobePromise, getDurationFromVideoFile, getAudioStream, getMaxAudioBitrate, getMetadataFromFile, getVideoFileBitrate, getVideoFileFPS, getVideoFileResolution, getVideoStreamFromFile, getVideoStreamSize } from '../../shared/extra-utils/ffprobe';
/**
 *
 * Helpers to run ffprobe and extract data from the JSON output
 *
 */
declare function getVideoStreamCodec(path: string): Promise<string>;
declare function getAudioStreamCodec(path: string, existingProbe?: FfprobeData): Promise<"" | "opus" | "vorbis" | "mp4a.40.2">;
declare function computeLowerResolutionsToTranscode(videoFileResolution: number, type: 'vod' | 'live'): number[];
declare function canDoQuickTranscode(path: string): Promise<boolean>;
declare function canDoQuickVideoTranscode(path: string, probe?: FfprobeData): Promise<boolean>;
declare function getClosestFramerateStandard<K extends keyof Pick<VideoTranscodingFPS, 'HD_STANDARD' | 'STANDARD'>>(fps: number, type: K): number;
declare function computeFPS(fpsArg: number, resolution: VideoResolution): number;
export { getVideoStreamCodec, getAudioStreamCodec, getVideoStreamSize, getVideoFileResolution, getMetadataFromFile, getMaxAudioBitrate, getVideoStreamFromFile, getDurationFromVideoFile, getAudioStream, computeFPS, getVideoFileFPS, ffprobePromise, getClosestFramerateStandard, computeLowerResolutionsToTranscode, getVideoFileBitrate, canDoQuickTranscode, canDoQuickVideoTranscode, canDoQuickAudioTranscode };
//# sourceMappingURL=ffprobe-utils.d.ts.map