import { MUserDefault, MUserWithNotificationSetting, MVideoImportVideo, UserNotificationModelForApi } from '../../../../types/models';
import { AbstractNotification } from '../common/abstract-notification';
export declare type ImportFinishedForOwnerPayload = {
    videoImport: MVideoImportVideo;
    success: boolean;
};
export declare class ImportFinishedForOwner extends AbstractNotification<ImportFinishedForOwnerPayload> {
    private user;
    prepare(): Promise<void>;
    log(): void;
    getSetting(user: MUserWithNotificationSetting): import("../../../../../shared/models").UserNotificationSettingValue;
    getTargetUsers(): MUserDefault[];
    createNotification(user: MUserWithNotificationSetting): Promise<UserNotificationModelForApi>;
    createEmail(to: string): {
        to: string;
        subject: string;
        text: string;
        locals: {
            title: string;
            action: {
                text: string;
                url: string;
            };
        };
    };
    private createSuccessEmail;
    private createFailEmail;
    private get videoImport();
}
//# sourceMappingURL=import-finished-for-owner.d.ts.map