import express from 'express';
import { PluginModel } from '../../models/server/plugin';
import { RegisterServerAuthExternalOptions, RegisterServerAuthPassOptions, RegisterServerOptions } from '../../types/plugins';
import { RegisterServerHookOptions, RegisterServerSettingOptions } from '../../../shared/models';
export declare class RegisterHelpers {
    private readonly npmName;
    private readonly plugin;
    private readonly onHookAdded;
    private readonly transcodingProfiles;
    private readonly transcodingEncoders;
    private readonly settings;
    private idAndPassAuths;
    private externalAuths;
    private readonly onSettingsChangeCallbacks;
    private readonly router;
    private readonly videoConstantManagerFactory;
    constructor(npmName: string, plugin: PluginModel, onHookAdded: (options: RegisterServerHookOptions) => void);
    buildRegisterHelpers(): RegisterServerOptions;
    reinitVideoConstants(npmName: string): void;
    reinitTranscodingProfilesAndEncoders(npmName: string): void;
    getSettings(): RegisterServerSettingOptions[];
    getRouter(): express.Router;
    getIdAndPassAuths(): RegisterServerAuthPassOptions[];
    getExternalAuths(): RegisterServerAuthExternalOptions[];
    getOnSettingsChangedCallbacks(): ((settings: any) => Promise<any>)[];
    private buildGetRouter;
    private buildRegisterSetting;
    private buildRegisterHook;
    private buildRegisterIdAndPassAuth;
    private buildRegisterExternalAuth;
    private buildUnregisterExternalAuth;
    private buildUnregisterIdAndPassAuth;
    private buildSettingsManager;
    private buildStorageManager;
    private buildTranscodingManager;
}
//# sourceMappingURL=register-helpers.d.ts.map