import { HTMLServerConfig, ServerConfig } from '../../shared/models';
/**
 *
 * Used to send the server config to clients (using REST/API or plugins API)
 * We need a singleton class to manage config state depending on external events (to build menu entries etc)
 *
 */
declare class ServerConfigManager {
    private static instance;
    private serverCommit;
    private homepageEnabled;
    private constructor();
    init(): Promise<void>;
    updateHomepageState(content: string): void;
    getHTMLServerConfig(): Promise<HTMLServerConfig>;
    getServerConfig(ip?: string): Promise<ServerConfig>;
    getRegisteredThemes(): {
        name: string;
        version: string;
        description: string;
        css: string[];
        clientScripts: {
            [name: string]: import("../../shared/models").ClientScriptJSON;
        };
    }[];
    getRegisteredPlugins(): {
        name: string;
        version: string;
        description: string;
        clientScripts: {
            [name: string]: import("../../shared/models").ClientScriptJSON;
        };
    }[];
    getEnabledResolutions(type: 'vod' | 'live'): number[];
    private getIdAndPassAuthPlugins;
    private getExternalAuthsPlugins;
    static get Instance(): ServerConfigManager;
}
export { ServerConfigManager };
//# sourceMappingURL=server-config-manager.d.ts.map