import { Model } from 'sequelize-typescript';
import { MVideoLive, MVideoLiveVideo } from '../../types/models';
import { AttributesOnly } from '../../../shared/typescript-utils';
import { LiveVideo } from '../../../shared/models';
import { VideoModel } from './video';
export declare class VideoLiveModel extends Model<Partial<AttributesOnly<VideoLiveModel>>> {
    streamKey: string;
    saveReplay: boolean;
    permanentLive: boolean;
    createdAt: Date;
    updatedAt: Date;
    videoId: number;
    Video: VideoModel;
    static loadByStreamKey(streamKey: string): Promise<MVideoLiveVideo>;
    static loadByVideoId(videoId: number): Promise<MVideoLive>;
    toFormattedJSON(): LiveVideo;
}
//# sourceMappingURL=video-live.d.ts.map