import { FfprobeData } from 'fluent-ffmpeg';
import { VideoFileMetadata } from '../models/videos';
/**
 *
 * Helpers to run ffprobe and extract data from the JSON output
 *
 */
declare function ffprobePromise(path: string): Promise<FfprobeData>;
declare function isAudioFile(path: string, existingProbe?: FfprobeData): Promise<boolean>;
declare function getAudioStream(videoPath: string, existingProbe?: FfprobeData): Promise<{
    absolutePath: string;
    audioStream: import("fluent-ffmpeg").FfprobeStream;
    bitrate: number;
} | {
    absolutePath: string;
    audioStream?: undefined;
    bitrate?: undefined;
}>;
declare function getMaxAudioBitrate(type: 'aac' | 'mp3' | string, bitrate: number): -1 | 256 | 384 | 128;
declare function getVideoStreamSize(path: string, existingProbe?: FfprobeData): Promise<{
    width: number;
    height: number;
}>;
declare function getVideoFileResolution(path: string, existingProbe?: FfprobeData): Promise<{
    width: number;
    height: number;
    ratio: number;
    resolution: number;
    isPortraitMode: boolean;
}>;
declare function getVideoFileFPS(path: string, existingProbe?: FfprobeData): Promise<number>;
declare function getMetadataFromFile(path: string, existingProbe?: FfprobeData): Promise<VideoFileMetadata>;
declare function getVideoFileBitrate(path: string, existingProbe?: FfprobeData): Promise<number>;
declare function getDurationFromVideoFile(path: string, existingProbe?: FfprobeData): Promise<number>;
declare function getVideoStreamFromFile(path: string, existingProbe?: FfprobeData): Promise<{
    [x: string]: any;
    [x: number]: any;
}>;
declare function canDoQuickAudioTranscode(path: string, probe?: FfprobeData): Promise<boolean>;
export { getVideoStreamSize, getVideoFileResolution, getMetadataFromFile, getMaxAudioBitrate, getVideoStreamFromFile, getDurationFromVideoFile, getAudioStream, getVideoFileFPS, isAudioFile, ffprobePromise, getVideoFileBitrate, canDoQuickAudioTranscode };
//# sourceMappingURL=ffprobe.d.ts.map